---
page_source: https://juspay.io/in/docs/payment-page-enterprise/react-native/mandates/pause-mandate-api
page_title: Pause Mandate API
---

## API Version: default


# Pause Mandate



The API can be used to Pause an Active Mandate

> **Note**
> Only ACTIVE mandates can be paused.

## Endpoints:
- Sandbox: https://sandbox.juspay.in/mandates/{mandate_id}

- Production: https://api.juspay.in/mandates/{mandate_id}

## Request Type: 
POST

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: Base64 Encoded Username:Password, Mandatory
## Headers:

#### x-merchantid:
The Username that a merchant holds at Juspay.
- Tags: string, Required

#### Content-Type:
application/x-www-form-urlencoded
- Tags: string

#### x-routing-id:
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.

> **Warning**
> This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.


- Value: customer_1122
- Tags: String, Required
## Sample Code Snippets:
### Sample Request:

#### Pause Mandate API Code Snippet:

```pause mandate api
curl --location --request POST 'http://api.juspay.in/mandates/7KKTSsVLcQjskY5F4moS5M' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'x-routing-id: customer_1122'\
--header 'Authorization: Basic QjU3QTnwedgfqdeuiedkyNzhEQjQ0MTg4N0NEMDU6' \
--data-urlencode 'command=pause' \
--data-urlencode 'pause_end_date=1664200815' \
--data-urlencode 'pause_start_date=1664546405'

```

### Sample Response:

#### Response:
```json
{
  "start_date": "1659312000",
  "rule_type": "ON",
  "revokable_by_customer": true,
  "response_message": "Mandate is Paused.",
  "pause_start_date": "2022-09-26T11:47:01Z",
  "pause_end_date": "2022-09-30T00:00:00Z",
  "max_amount": 100,
  "mandate_type": "EMANDATE",
  "mandate_token": "42040d2b1d8e41k4jd9q40de80988357e",
  "mandate_status": "PAUSED",
  "mandate_id": "gksEbj93j24Z5Cbw4MWUa",
  "last_activated_at": "2022-09-26T11:47:01Z",
  "frequency": "ASPRESENTED",
  "end_date": "1690848000",
  "block_fund": false,
  "amount_rule": "VARIABLE"
}
```

## Path Parameters:

#### mandate_id:
Mandate Id
- Value: Example:- 7KKTSsVLcQjskY5F4moS5M
- Tags: String, Mandatory
## Body Parameters:
### Parameters:

#### command:
- Description: To be set as "pause", to pause an existing active mandate.
- Tags: string, Required

#### pause_start_date:
- Description: Date in UNIX EPOCH timestamp (UTC timezone) format, when the mandate will be paused. Default value can be the current date.
- Tags: string

#### pause_end_date:
- Description: Date in UNIX EPOCH timestamp (UTC timezone) format, when the mandate status will be automatically changed to ACTIVE. Default value can be set to mandate_end_date.
- Tags: string
## API Responses:
### 200:

#### start_date:
- Description: Mandate start date in UNIX EPOCH timestamp (UTC timezone) format.
- Tags: string

#### rule_type:
- Description: Mandate execution rule type ie, ON | BEFORE | AFTER
- Tags: string

#### revokable_by_customer:
- Description: States if mandate is revokable by the customer
- Tags: boolean

#### response_message:
- Description: Represents the action performed. Ex: Pause mandate is scheduled, Mandate is Paused.
- Tags: string

#### pause_start_date:
- Description: Mandate pause start date in UNIX EPOCH timestamp (UTC timezone) format.
- Tags: string

#### pause_end_date:
- Description: Mandate pause end date in UNIX EPOCH timestamp (UTC timezone) format.
- Tags: string

#### max_amount:
- Description: Max amount of mandate set while creating a mandate
- Tags: integer

#### mandate_type:
- Description: Mandate type: MANDATE(Cards) or EMANDATE (others)
- Tags: string

#### mandate_token:
- Description: Unique Token provided by Juspay after mandate creation.
- Tags: string

#### mandate_status:
- Description: Status of the mandate. Will be **PAUSED**  only if the mandate is at **ACTIVE**  state earlier.
- Tags: string

#### mandate_id:
- Description: Unique Identifier for the mandate. Mandate id can be obtained from the List Mandate API response
- Tags: string

#### last_activated_at:
- Description: The time at which mandate moved to ACTIVE state.
- Tags: string

#### frequency:
- Description: Frequency of mandate set. By default ASPRESENTED
- Tags: string

#### end_date:
- Description: Mandate end date in UNIX EPOCH timestamp (UTC timezone) format.
- Tags: string

#### block_fund:
- Description: True/False based on the value passed during mandate creation
- Tags: boolean

#### amount_rule:
- Description: VARIABLE or FIXED
- Tags: string
### 400:

#### Mandate Not Found:
- Value:
  - **Status**:
    - Tags: String
  - **Error_message**:
    - Tags: String
  - **Error_code**:
    - Tags: String
- Tags: JSON

#### Invalid Status Change Request:
- Value:
  - **User_message**:
    - Tags: String
  - **Type**:
    - Tags: String
  - **Session_id**:
    - Tags: String
  - **Message**:
    - Tags: String
  - **Code**:
    - Tags: String
- Tags: JSON

#### Invalid Pause Start Date:
- Value:
  - **User_message**:
    - Tags: String
  - **Type**:
    - Tags: String
  - **Session_id**:
    - Tags: String
  - **Message**:
    - Tags: String
  - **Code**:
    - Tags: String
- Tags: JSON

#### Invalid Pause End Date:
- Value:
  - **User_message**:
    - Tags: String
  - **Type**:
    - Tags: String
  - **Session_id**:
    - Tags: String
  - **Message**:
    - Tags: String
  - **Code**:
    - Tags: String
- Tags: JSON

#### Pause Start Date >= Pause End Date:
- Value:
  - **User_message**:
    - Tags: String
  - **Type**:
    - Tags: String
  - **Session_id**:
    - Tags: String
  - **Message**:
    - Tags: String
  - **Code**:
    - Tags: String
- Tags: JSON
### 401:

#### status:
- Description: error
- Tags: string

#### error_code:
- Description: access_denied
- Tags: string

#### error_message:
- Description: Invalid Authentication
- Tags: string
